Qore Programming Language Reference Manual 0.8.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

All Classes Namespaces Functions Variables Groups Pages
Variables
System and Build Constants

## Variables
const | Qore::Build = qore(new QoreBigIntNode(qore_build_number))
| The integer Qore build number.
const | Qore::BuildHost = qore(new QoreStringNode(qore_build_host))
| The host name of the host used to build the Qore library.
const | Qore::CFLAGS = qore(new QoreStringNode(qore_cflags))
| A string giving the C++ compiler flags used to build Qore.
const | Qore::Compiler = qore(new QoreStringNode(qore_cplusplus_compiler))
| A string giving the C++ compiler used to build Qore.
const | Qore::LDFLAGS = qore(new QoreStringNode(qore_ldflags))
| A string giving the linker flags used to build Qore.
const | Qore::MACHINE_MSB = bool(Q_MACHINE_MSB)
| True if the current machine uses big-endian or MSB byte order or False if the current machine uses little-endian or LSB byte order
const | Qore::PlatformCPU = qore(new QoreStringNode(TARGET_ARCH))
| The string for the platform's CPU architecture.
const | Qore::PlatformOS = qore(new QoreStringNode(TARGET_OS))
| A string giving the platform operating-system name.
const | Qore::VersionMajor = qore(new QoreBigIntNode(qore_version_major))
| The integer Qore major version number.
const | Qore::VersionMinor = qore(new QoreBigIntNode(qore_version_minor))
| The integer Qore minor version number.
const | Qore::VersionString = qore(new QoreStringNode(qore_version_string))
| The full Qore version string.
const | Qore::VersionSub = qore(new QoreBigIntNode(qore_version_sub))
| The integer Qore sub version number.

## Detailed Description